<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: operations.proto

namespace Tinkoff\Invest\V1;

use UnexpectedValueException;

/**
 *Статус запрашиваемых операций
 *
 * Protobuf type <code>tinkoff.public.invest.api.contract.v1.OperationState</code>
 */
class OperationState
{
    /**
     *Статус операции не определён
     *
     * Generated from protobuf enum <code>OPERATION_STATE_UNSPECIFIED = 0;</code>
     */
    const OPERATION_STATE_UNSPECIFIED = 0;
    /**
     *Исполнена
     *
     * Generated from protobuf enum <code>OPERATION_STATE_EXECUTED = 1;</code>
     */
    const OPERATION_STATE_EXECUTED = 1;
    /**
     *Отменена
     *
     * Generated from protobuf enum <code>OPERATION_STATE_CANCELED = 2;</code>
     */
    const OPERATION_STATE_CANCELED = 2;

    private static $valueToName = [
        self::OPERATION_STATE_UNSPECIFIED => 'OPERATION_STATE_UNSPECIFIED',
        self::OPERATION_STATE_EXECUTED => 'OPERATION_STATE_EXECUTED',
        self::OPERATION_STATE_CANCELED => 'OPERATION_STATE_CANCELED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

